function loglik = mkLogLik(hypSpace, D)
% loglik(h) = row vector = p(D|h) = sum_x counts(x) * p(x|h)
% where counts(x) = sum_n I(D(n)=x) is the number of times x occurs in D

condLik = mkCondLik(hypSpace); % condLik(x,h)
counts = sum(oneOfK(D, 100),1); % 1x100 row vector
% condLik(x,h) = 0 for values of x that are not in h's extension
% log(0) -> log(eps) to prevent NaN; note exp(log(eps)) = eps approx 0
loglik = counts * log(condLik+eps);

